Bug 434706 - Review Request: ocaml-type-conv - OCaml base library for type conversion
Review Request: ocaml-type-conv - OCaml base library for type conversion
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 434707
  Show dependency treegraph
 
Reported: 2008-02-24 13:36 EST by Richard W.M. Jones
Modified: 2008-04-04 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 12:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 13:36:54 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-type-conv.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-type-conv-1.3.0-1.fc9.src.rpm
Description: OCaml base library for type conversion

There are a few rpmlint warnings, but none seem to be real problems:

  $ rpmlint /home/rjones/rpmbuild/SRPMS/ocaml-type-conv-1.3.0-1.fc9.src.rpm
  ocaml-type-conv.src: W: invalid-license LGPLv2+ with exceptions

See bug 434690

  $ rpmlint  /home/rjones/rpmbuild/RPMS/i386/ocaml-type-conv-1.3.0-1.fc9.i386.rpm
  ocaml-type-conv.i386: W: invalid-license LGPLv2+ with exceptions

See bug 434690

  ocaml-type-conv.i386: E: no-binary
  ocaml-type-conv.i386: E: only-non-binary-in-usr-lib

See bug 433783
Comment 1 Parag AN(पराग) 2008-03-01 12:17:05 EST
build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=482333

make[1]: Entering directory `/builddir/build/BUILD/type-conv-1.3.0/lib'
ocamlc -c -I +camlp4 pa_type_conv.mli
File "pa_type_conv.mli", line 34, characters 0-23:
Unbound module Camlp4.PreCast.Ast
make[1]: *** [pa_type_conv.cmi] Error 2
Comment 2 Richard W.M. Jones 2008-03-01 13:56:40 EST
Ick, another missing camlp4...

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-type-conv.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-type-conv-1.3.0-2.fc9.src.rpm

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3.0-2
- Add missing BR for ocaml-camlp4-devel and test build in mock.
Comment 3 Parag AN(पराग) 2008-03-01 21:51:30 EST
movk build failed for me. Not sure if its rawhide dependency problems.
http://koji.fedoraproject.org/koji/getfile?taskID=483081&name=root.log
Comment 4 Parag AN(पराग) 2008-03-02 03:28:20 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=483525
+ rpmlint is NOT silent for SRPM and for RPM.
ocaml-type-conv.i386: W: invalid-license LGPLv2+ with exceptions
ocaml-type-conv.i386: E: no-binary
ocaml-type-conv.i386: E: only-non-binary-in-usr-lib
ocaml-type-conv.src: W: invalid-license LGPLv2+ with exceptions
==> Ok to accept as per fixed in bug 434690 and bug 433783
+ source files match upstream.
07658454c84d24b07083dea6af2b3e18  type-conv-1.3.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-type-conv-1.3.0-2.fc9 =>
  Provides: ocaml(Pa_type_conv) = 432cfbcca727c79fd9a65c602aa4eb34
 Requires: ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364 ocaml(Array) =
aa8e3cd5824f9bb40b93fcd38d0c95b5 ocaml(Buffer) =
f6cef633ea14963b84b79c4095c63dc3 ocaml(Camlp4) =
1e46a133b8062d1571640f7fa36f32c4 ocaml(Camlp4_config) =
cb716b4361f43326c6ad695c7a1bb5c0 ocaml(Camlp4_import) =
0134ca95282ef6821081c0c11802cea0 ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
ocaml(Filename) = 633a1e7f590ff5e95124293dbef3b476 ocaml(Format) =
35fe566f7a37d8991a5c822bd1463949 ocaml(Hashtbl) =
083f2c94b44ff4e0b3220aaea6a783b4 ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d ocaml(Lexing) =
b1793496643444d3762dd42bebe2cfe3 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Map) = dedde7683d54ae7db1eb97cc868dd047 ocaml(Nativeint) =
e79cdc4d3575c2ed044955cb7ef49aca ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
ocaml(Set) = 7da14e671a035f12386ace3890018ef3 ocaml(Stream) =
21a833e12efd34ea0c87d8d9da959809 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Sys) = 0da495f5a80f31899139359805318f28
ocaml(runtime) = 3.10.1

- Not followed ocaml packaging guildelines by packaging *.cmo files


SHOULD:
   1) Either follow guidelines and remove *.cmo 
      or Specify reason to accept it
      or as you said in other review 
     (https://bugzilla.redhat.com/show_bug.cgi?id=435293#c2),
      I will wait till this gets approved as official packaging guidelines.

   2) You can use following to silent rpmlint for "no-binary"
      BuildArch: noarch 
Comment 5 Richard W.M. Jones 2008-03-02 05:52:27 EST
The .cmo file is the program so not distributing the .cmo file would defeat
the purpose of packaging this.

I've started a round of discussion on new packaging guidelines to clarify
this.  See fedora-packaging mailing list.
Comment 6 Parag AN(पराग) 2008-04-03 23:48:26 EDT
New guidelines are up.
APPROVED. 
Comment 7 Richard W.M. Jones 2008-04-04 06:21:42 EDT
New Package CVS Request
=======================
Package Name: ocaml-type-conv
Short Description: OCaml base library for type conversion
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-04-04 11:30:54 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.